
/*
*****************************************************************************
* License Information :Accord Global Technology Solutions Pvt. Ltd.                  *

*                      #72 & 73, Krishna Reddy Colony, Domlur layout,            *

*                      Domlur,Bangalore - 560071, INDIA                     *

*                      Licensed software and All rights reserved.           *

*****************************************************************************

* File             : login
*
* Description      : Login page css
*
* Author(s)        : Kavita Gupta
*
* Version History:
* <Version Number>                 <Author>              <date>      <defect Number>      <Modification
*                                                                                          made and the
*                                                                                          reason for
*                                                                                          modification >
*  1.0                             Kavita Gupta         12.10.2022        --         initial version
*
* References        :
*                     
* Assumption(s)     : None.
*                     
* Constraint(s)     : None.
*                     
 ****************************************************************************
*/

body{
    .login-page{
        h1{
            font-size: 1.7rem;
        }
        .content-wrapper{
            margin-top: 30px;
        }
        .jumbotron{
            min-height: calc(100vh - 50px);
            margin: 0;
        }
        hr{
            margin-bottom: 15px;
            border: 0;
            border-top: 1px solid rgba(212, 212, 212, 0.3);
        }
        .loader {
            z-index: 1500;
            left: 0;
            right: 0;
            top: 50px;
            position: absolute;
            &:before{
                background-color: var(--primary--dark);
            }
        }
        
    }
}

body.blue {
    .login-page{
        .navbar{
            -webkit-box-shadow: 0px 25px 35px -4px rgb(26,88,156);
            -moz-box-shadow: 0px 25px 35px -4px rgb(26,88,156);
            box-shadow: 0px 25px 35px -4px rgb(26,88,156);
        }
        .jumbotron{
            background-color: #054c99;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg fill-opacity='0.76'%3E%3Cpolygon fill='%230550a2' points='800 100 0 200 0 800 1600 800 1600 200'/%3E%3Cpolygon fill='%230655aa' points='800 200 0 400 0 800 1600 800 1600 400'/%3E%3Cpolygon fill='%230659b3' points='800 300 0 600 0 800 1600 800 1600 600'/%3E%3Cpolygon fill='%23075ebc' points='1600 800 800 400 0 800'/%3E%3Cpolygon fill='%230762c5' points='1280 800 800 500 320 800'/%3E%3Cpolygon fill='%230867cd' points='533.3 800 1066.7 800 800 600'/%3E%3Cpolygon fill='%23086bd6' points='684.1 800 914.3 800 800 700'/%3E%3C/g%3E%3C/svg%3E");
            background-attachment: fixed;
            background-size: cover;
        }
    }
}
body.black {
    .login-page{
        .navbar{
            box-shadow: 0px 25px 35px -4px rgb(0,0,0);
        }
        .jumbotron{
            background-color: #01080f;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg %3E%3Cpolygon fill='%23010b14' points='800 100 0 200 0 800 1600 800 1600 200'/%3E%3Cpolygon fill='%23020e1a' points='800 200 0 400 0 800 1600 800 1600 400'/%3E%3Cpolygon fill='%2302101f' points='800 300 0 600 0 800 1600 800 1600 600'/%3E%3Cpolygon fill='%23021325' points='1600 800 800 400 0 800'/%3E%3Cpolygon fill='%2302162b' points='1280 800 800 500 320 800'/%3E%3Cpolygon fill='%23021830' points='533.3 800 1066.7 800 800 600'/%3E%3Cpolygon fill='%23021b36' points='684.1 800 914.3 800 800 700'/%3E%3C/g%3E%3C/svg%3E");
            background-attachment: fixed;
            background-size: cover;
        }
    }
}
body.red {
    .login-page{
        .navbar{
            // background-image: linear-gradient(270deg,rgb(48,105,150 / 18%),transparent);
            box-shadow: 0px 25px 35px -4px rgba(0,0,0,.39);
        }
        .jumbotron{
            background-color: #c3002f;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg fill-opacity='0.57'%3E%3Cpolygon fill='%23b7062b' points='800 100 0 200 0 800 1600 800 1600 200'/%3E%3Cpolygon fill='%23ab0c27' points='800 200 0 400 0 800 1600 800 1600 400'/%3E%3Cpolygon fill='%239f1125' points='800 300 0 600 0 800 1600 800 1600 600'/%3E%3Cpolygon fill='%23941623' points='1600 800 800 400 0 800'/%3E%3Cpolygon fill='%23891b23' points='1280 800 800 500 320 800'/%3E%3Cpolygon fill='%237f1f23' points='533.3 800 1066.7 800 800 600'/%3E%3Cpolygon fill='%23752323' points='684.1 800 914.3 800 800 700'/%3E%3C/g%3E%3C/svg%3E");
            background-attachment: fixed;
            background-size: cover;
        }
    }
}
body.purple {
    .login-page{
        .navbar{
            // background-image: linear-gradient(270deg,rgb(48,105,150 / 18%),transparent);
            box-shadow: 0px 25px 35px -4px rgba(0,0,0,.39);
        }
        .jumbotron{            
            background-color: #4b1d90;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1600 800'%3E%3Cg fill-opacity='0.47'%3E%3Cpolygon fill='%234c1d86' points='800 100 0 200 0 800 1600 800 1600 200'/%3E%3Cpolygon fill='%234c1c7c' points='800 200 0 400 0 800 1600 800 1600 400'/%3E%3Cpolygon fill='%234b1c72' points='800 300 0 600 0 800 1600 800 1600 600'/%3E%3Cpolygon fill='%23491b69' points='1600 800 800 400 0 800'/%3E%3Cpolygon fill='%23461a5f' points='1280 800 800 500 320 800'/%3E%3Cpolygon fill='%23431856' points='533.3 800 1066.7 800 800 600'/%3E%3Cpolygon fill='%233f174d' points='684.1 800 914.3 800 800 700'/%3E%3C/g%3E%3C/svg%3E");
            background-attachment: fixed;
            background-size: cover;
        }
    }
}

